

:root {
    --navy: #0a1c38;
    --blue: rgb(26, 111, 196);
    --accent: #2196f3;
    --white: #ffffff;
    --light-bg: #f0f4f8;
}

.session-coursebox{
    width: auto;
    padding: 0.5em;
    border-radius: 0.5rem;
    border: 0.1rem solid rgb(189, 189, 189);
    font-size: 1.2rem;
    overflow-wrap: break-word;

}

.session-textbox{
    width: auto;   
    padding-bottom: 20vh;
    padding-top: 10px;
    padding-left: 10px;
    padding-right: 10px;
    overflow-wrap: break-word;
    border-radius: 0.5rem;
    border: 0.1rem solid rgb(189, 189, 189);
    font-size: 1.2rem;

}

.session-numbox{
    width: auto;
    overflow-wrap: break-word;
    padding: 0.5rem;
    border-radius: 0.5rem;
    border: 0.1rem solid rgb(189, 189, 189);
    font-size: 1.2rem;
}

.session-output{
    cursor: url("images/bcursor1.png"), pointer;
    display:grid;
    padding: 1vw;
    grid-template-columns: repeat(3, minmax(10px, 100vw));
    gap: 1em;
    line-height: 1em;
    width: 100%;

}

label{
    font-size: 1.2rem;
    line-height: 1em;
    gap: 1em;
    color: var(--navy);
    text-align: left;
    margin-top: 10px;
    margin-bottom: 10px;
}

.session-entry-card{
    z-index: 10;
    padding: 1.5vw;
    display: flex;
    flex-direction: column;
    background-color: var(--light-bg);
    width: auto;

    
    margin-top:1.5vw;
    margin-right: 20px;
    border-radius:20px;
    box-shadow: 0px 0px 15px rgba(26, 111, 196, 0.527);
    animation:fadeUp 0.5s 0.12s ease both;
}

.session-popup {
    cursor: url("images/bcursor1.png"), pointer;
    display: flex;
    background-color: var(--light-bg);
    width: 40vw;
    aspect-ratio: 5/4;

    flex-direction: column;
    box-sizing: border-box;
    overflow: auto;

    position: fixed;
    border-radius: 1rem;
    padding: 2rem;
    gap: 0rem;
    top: 50%;
    left: 50%;

    transform: translate(-50%, -50%) scale(0.8);
    opacity: 0;
    border: 0.15rem solid var(--light-bg);
    pointer-events: none;
    
    z-index: 1000;
    
}

.session-popup.show {
    transform: translate(-50%, -50%) scale(1.0);
    opacity: 1;
    pointer-events: auto;
}

.sh1{
    margin-top: 10px;
    overflow-wrap: break-word;
    font-weight: bold;
    font-size: 3vw;
    color: var(--navy);
    line-height: 1em;
    margin-bottom: 10px;
}


.sp {
    margin: 10px;
    font-weight: bold;
    font-size: 2vw;
    overflow-wrap: break-word;

    color: var(--accent);
}
